serial::PortInfo Struct Reference

`#include <serial.h>`

Collaboration diagram for serial::PortInfo:
[legend]

## Public Attributes

std::string | port
std::string | description
std::string | hardware_id
std::string | device_id

## Detailed Description

Structure that describes a serial device.

## Member Data Documentation

std::string serial::PortInfo::description

Human readable description of serial device if available.

std::string serial::PortInfo::device_id

Hardware Device ID or "" if not available.

std::string serial::PortInfo::hardware_id

Hardware ID (e.g. VID:PID of USB serial devices) or "n/a" if not available.

std::string serial::PortInfo::port

Address of the serial port (this can be passed to the constructor of Serial).

The documentation for this struct was generated from the following file:

- /home/yang/gitlab/sdk/include/serial.h